summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Vijay Marcel2022-09-26 20:26:59 +0200
committer Willy Sudiarto Raharjo2022-10-01 04:01:12 +0200
commitf8b05376a71cc7a11b954897f4de55537fce61c9 (patch)
tree2c415d73ac6af83ae384bc08fcfb8cea4976e396
parenta3883c9d2ba8a230a5d87dc4811813b0075d0969 (diff)
downloadslackbuilds-f8b05376a71cc7a11b954897f4de55537fce61c9.tar.gz
libraries/libavif: Added (AVIF Encoding and Decoding Library)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/libavif/README3
-rw-r--r--libraries/libavif/libavif.SlackBuild128
-rw-r--r--libraries/libavif/libavif.info10
-rw-r--r--libraries/libavif/slack-desc19
4 files changed, 160 insertions, 0 deletions
diff --git a/libraries/libavif/README b/libraries/libavif/README
new file mode 100644
index 0000000000..c51c31dd2b
--- /dev/null
+++ b/libraries/libavif/README
@@ -0,0 +1,3 @@
+This library aims to be a portable C implementation of
+AV1 image file format.It can encode and decode all AOM
+supported YUV formats and bit depths.
diff --git a/libraries/libavif/libavif.SlackBuild b/libraries/libavif/libavif.SlackBuild
new file mode 100644
index 0000000000..7b3872614f
--- /dev/null
+++ b/libraries/libavif/libavif.SlackBuild
@@ -0,0 +1,128 @@
+#!/bin/bash
+
+# Slackware build script for libavif
+
+# Copyright 2022 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libavif
+VERSION=${VERSION:-20220922_d0f2fee}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+GITNAM=${GITNAM:-d0f2fee5e879c003d2860971b41433a69cb2170d}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+rm -rf $PRGNAM-$GITNAM
+tar xvf $CWD/$PRGNAM-$GITNAM.tar.gz
+cd $PRGNAM-$GITNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cmake -B build -S $TMP/$PRGNAM-$GITNAM \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DBUILD_SHARED_LIBS:BOOL=ON \
+ -DAVIF_ENABLE_WERROR:BOOL=OFF \
+ -DAVIF_CODEC_AOM:BOOL=ON \
+ -DAVIF_CODEC_AOM_DECODE:BOOL=ON \
+ -DAVIF_CODEC_AOM_ENCODE:BOOL=ON \
+ -DAVIF_CODEC_DAV1D:BOOL=ON \
+ -DAVIF_CODEC_LIBGAV1:BOOL=OFF \
+ -DAVIF_CODEC_RAV1E:BOOL=OFF \
+ -DAVIF_CODEC_SVT:BOOL=ON \
+ -DAVIF_BUILD_APPS:BOOL=ON \
+ -DAVIF_BUILD_TESTS:BOOL=OFF \
+ -DAVIF_ENABLE_GTEST:BOOL=OFF \
+ -DAVIF_BUILD_MAN_PAGES:BOOL=ON \
+ -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+ -DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_BINDIR:PATH=/usr/bin \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release
+
+make -C build
+make -C build install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md CHANGELOG.md doc/avifdec.1.md doc/avifenc.1.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/libavif/libavif.info b/libraries/libavif/libavif.info
new file mode 100644
index 0000000000..f8347e9537
--- /dev/null
+++ b/libraries/libavif/libavif.info
@@ -0,0 +1,10 @@
+PRGNAM="libavif"
+VERSION="20220922_d0f2fee"
+HOMEPAGE="https://github.com/AOMediaCodec/libavif"
+DOWNLOAD="https://github.com/AOMediaCodec/libavif/archive/d0f2fee/libavif-d0f2fee5e879c003d2860971b41433a69cb2170d.tar.gz"
+MD5SUM="ecf67adb5311da2554183dcc6cb59a67"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="aom dav1d svt-av1 libyuv pandoc-bin"
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/libraries/libavif/slack-desc b/libraries/libavif/slack-desc
new file mode 100644
index 0000000000..9adac23b00
--- /dev/null
+++ b/libraries/libavif/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libavif: libavif (AVIF Encoding and Decoding Library)
+libavif:
+libavif: This library aims to be a portable C implementation of
+libavif: AV1 image file format.It can encode and decode all AOM
+libavif: supported YUV formats and bit depths.
+libavif:
+libavif: Homepage:https://github.com/AOMediaCodec/libavif
+libavif:
+libavif:
+libavif:
+libavif: